#-----------------------------------------------------------------------------
%{?!dist:	%define	dist		.ok}
%define			gettext_version	%(echo %{version} | cut -d '.' -f1)0
%define			majvers		%(echo %{version} | cut -d '.' -f1-2)
%define			api_vers	%(echo %{version} | cut -d '.' -f1).0
%define			helpvers	2021-03-30
#-----------------------------------------------------------------------------
Name		:	gimp
Version		:	2.10.38
Release		:	17.2.0.rel%{?dist}
Summary		:	GNU Image Manipulation Program
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.gimp.org/pub/gimp/v2.10

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtk-doc
BuildRequires	:	gtk3+
BuildRequires	:	gtk2+
BuildRequires	:	gegl-devel,gegl-tools
BuildRequires	:	gexiv2-devel
BuildRequires	:	glib-networking
BuildRequires	:	harfbuzz
BuildRequires	:	iso-codes
BuildRequires	:	json-glib
BuildRequires	:	lcms2
BuildRequires	:	libgs-devel
BuildRequires	:	libgudev
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libmypaint-devel
BuildRequires	:	librsvg-devel
BuildRequires	:	libtiff
BuildRequires	:	libunwind-devel
BuildRequires	:	mypaint-brushes-devel
BuildRequires	:	poppler
BuildRequires	:	python3-libxml2
BuildRequires	:	shared-mime-info
BuildRequires	:	xdg-utils
BuildRequires	:	xorg-libXpm
#-----------------------------------------------------------------------------
%description
GIMP (GNU Image Manipulation Program) is a powerful image composition
and editing program, which can be extremely useful for creating logos
and other graphics for webpages. GIMP has many of the tools and filters
you would expect to find in similar commercial offerings, and some
interesting extras as well. GIMP provides a large image manipulation
toolbox, including channel operations and layers, effects, sub-pixel
imaging and anti-aliasing, and conversions, all with multi-level undo.

#-----------------------------------------------------------------------------
%files			-f %{name}.files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/controllerrc
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/gimprc
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/gtkrc
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/unitrc
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/sessionrc
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/templaterc
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/menurc
%config(noreplace) %{_sysconfdir}/%{name}/%{api_vers}/toolrc
%{_bindir}/%{name}
%{_bindir}/%{name}-console
%{_bindir}/%{name}-%{majvers}
%{_bindir}/%{name}-console-%{majvers}
%{_bindir}/%{name}-test-clipboard-%{api_vers}
%{_libdir}/%{name}/%{api_vers}/plug-ins/*
%{_libdir}/lib%{name}*-%{api_vers}.so.0*
%{_libdir}/%{name}/%{api_vers}/modules/*.so
%{_libdir}/%{name}/%{api_vers}/environ/default.env
%{_libdir}/%{name}/%{api_vers}/interpreters/default.interp
%{_libexecdir}/%{name}-debug-tool-%{api_vers}
%{_datadir}/%{name}/%{api_vers}/file-raw/file-*.lua
%{_datadir}/%{name}/%{api_vers}/gfig/*
%{_datadir}/%{name}/%{api_vers}/gflare/*
%{_datadir}/%{name}/%{api_vers}/%{name}-release
%{_datadir}/%{name}/%{api_vers}/brushes/Basic/*.vbr
%{_datadir}/%{name}/%{api_vers}/brushes/Basic/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/Fun/*.gih
%{_datadir}/%{name}/%{api_vers}/brushes/Fun/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/Legacy/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/Legacy/*.gih
%{_datadir}/%{name}/%{api_vers}/brushes/Media/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/Media/*.gih
%{_datadir}/%{name}/%{api_vers}/brushes/Sketch/*.gih
%{_datadir}/%{name}/%{api_vers}/brushes/Sketch/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/Splatters/*.gih
%{_datadir}/%{name}/%{api_vers}/brushes/Splatters/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/Texture/*.gih
%{_datadir}/%{name}/%{api_vers}/brushes/Texture/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/%{name}-obsolete-files/*.gbr
%{_datadir}/%{name}/%{api_vers}/brushes/%{name}-obsolete-files/*.vbr
%{_datadir}/%{name}/%{api_vers}/brushes/%{name}-obsolete-files/*.gih
%{_datadir}/%{name}/%{api_vers}/gradients/%{name}-obsolete-files/*.ggr
%{_datadir}/%{name}/%{api_vers}/dynamics/Basic/*.gdyn
%{_datadir}/%{name}/%{api_vers}/dynamics/FX/*.gdyn
%{_datadir}/%{name}/%{api_vers}/dynamics/*.gdyn
%{_datadir}/%{name}/%{api_vers}/fractalexplorer/*
%{_datadir}/%{name}/%{api_vers}/gimpressionist/Brushes/*.pgm
%{_datadir}/%{name}/%{api_vers}/gimpressionist/Paper/*.pgm
%{_datadir}/%{name}/%{api_vers}/gimpressionist/Presets/*
%{_datadir}/%{name}/%{api_vers}/gimpressionist/Brushes/*.ppm
%{_datadir}/%{name}/%{api_vers}/menus/*.xml
%{_datadir}/%{name}/%{api_vers}/themes/Dark/gtkrc
%{_datadir}/%{name}/%{api_vers}/themes/Dark/ui/*.png
%{_datadir}/%{name}/%{api_vers}/themes/Gray/gtkrc
%{_datadir}/%{name}/%{api_vers}/themes/Gray/ui/*.png
%{_datadir}/%{name}/%{api_vers}/themes/Light/gtkrc
%{_datadir}/%{name}/%{api_vers}/themes/Light/ui/*.png
%{_datadir}/%{name}/%{api_vers}/themes/System/gtkrc
%{_datadir}/%{name}/%{api_vers}/ui/plug-ins/*.ui
%{_datadir}/%{name}/%{api_vers}/gradients/*.ggr
%{_datadir}/%{name}/%{api_vers}/icons/Color/index.theme
#{_datadir}/%{name}/%{api_vers}/icons/Color/*/apps/*.svg
%{_datadir}/%{name}/%{api_vers}/icons/Color/*/apps/*.png
%{_datadir}/%{name}/%{api_vers}/icons/Legacy/index.theme
%{_datadir}/%{name}/%{api_vers}/icons/Legacy/*/tools/*.png
%{_datadir}/%{name}/%{api_vers}/icons/Legacy/*/apps/*.png
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic/index.theme
#{_datadir}/%{name}/%{api_vers}/icons/Symbolic/*/apps/*.svg
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic/*/apps/*.png
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic-High-Contrast/index.theme
#{_datadir}/%{name}/%{api_vers}/icons/Symbolic-High-Contrast/*/apps/*.svg
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic-High-Contrast/*/apps/*.png
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic-Inverted-High-Contrast/index.theme
#{_datadir}/%{name}/%{api_vers}/icons/Symbolic-Inverted-High-Contrast/*/apps/*.svg
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic-Inverted-High-Contrast/*/apps/*.png
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic-Inverted/index.theme
#{_datadir}/%{name}/%{api_vers}/icons/Symbolic-Inverted/*/apps/*.svg
%{_datadir}/%{name}/%{api_vers}/icons/Symbolic-Inverted/*/apps/*.png
%{_datadir}/%{name}/%{api_vers}/palettes/*.gpl
%{_datadir}/%{name}/%{api_vers}/patterns/Animal/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Fabric/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Food/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Legacy/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Paper/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Plant/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Sky/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Stone/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Water/*.pat
%{_datadir}/%{name}/%{api_vers}/patterns/Wood/*.pat
%{_datadir}/%{name}/%{api_vers}/scripts/*.init
%{_datadir}/%{name}/%{api_vers}/scripts/*.scm
%{_datadir}/%{name}/%{api_vers}/scripts/images/*.jpg
%{_datadir}/%{name}/%{api_vers}/tool-presets/Crop/*.gtp
%{_datadir}/%{name}/%{api_vers}/tool-presets/FX/*.gtp
%{_datadir}/%{name}/%{api_vers}/tool-presets/Paint/*.gtp
%{_datadir}/%{name}/%{api_vers}/tool-presets/Sketch/*.gtp
%{_datadir}/%{name}/%{api_vers}/icons/hicolor/index.theme
%{_datadir}/%{name}/%{api_vers}/icons/hicolor/scalable/status/*.svg
%{_datadir}/%{name}/%{api_vers}/tags/%{name}*.xml
%{_datadir}/%{name}/%{api_vers}/tips/%{name}*.xml
%{_datadir}/%{name}/%{api_vers}/tool-presets/Selection/*.gtp
%{_datadir}/%{name}/%{api_vers}/images/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/metainfo/*.metainfo.xml
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-console.1.gz
%{_mandir}/man1/%{name}-%{majvers}.1.gz
%{_mandir}/man1/%{name}-console-%{majvers}.1.gz
%{_mandir}/man5/%{name}rc.5.gz
%{_mandir}/man5/%{name}rc-%{majvers}.5.gz

#=============================================================================
%package		devel

Summary		:	GIMP plugin and extension development kit

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains the static libraries and header files
for writing GNU Image Manipulation Program (GIMP) plug-ins and
extensions.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc HACKING README.i18n
%doc %{_datadir}/gtk-doc/html
%{_includedir}/%{name}-%{api_vers}/lib%{name}/*.h
%{_includedir}/%{name}-%{api_vers}/lib%{name}base/*.h
%{_includedir}/%{name}-%{api_vers}/lib%{name}color/*.h
%{_includedir}/%{name}-%{api_vers}/lib%{name}config/*.h
%{_includedir}/%{name}-%{api_vers}/lib%{name}math/*.h
%{_includedir}/%{name}-%{api_vers}/lib%{name}module/*.h
%{_includedir}/%{name}-%{api_vers}/lib%{name}thumb/*.h
%{_includedir}/%{name}-%{api_vers}/lib%{name}widgets/*.h
%{_libdir}/lib%{name}*-%{api_vers}.so
%{_libdir}/pkgconfig/%{name}*-%{api_vers}.pc
%{_datadir}/aclocal/%{name}-%{api_vers}.m4

#=============================================================================
%package		devel-tools

Summary		:	GIMP plugin and extension development tools

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}-devel		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel-tools
The %{name}-devel-tools package contains gimptool, a helper
program to build GNU Image Manipulation Program (GIMP)
plug-ins and extensions.
 
#-----------------------------------------------------------------------------
%files			devel-tools
%defattr(-,root,root,-)
%{_bindir}/%{name}tool-%{api_vers}
%{_mandir}/man1/%{name}tool-%{api_vers}.1.gz

#=============================================================================


%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure							\
	--prefix=%{_prefix}					\
	--sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
	--sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--disable-static					\
	--disable-python					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#To remove libtool library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.la						\
	-delete

desktop-file-install						\
	--dir=%{buildroot}%{_datadir}/applications		\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}%{gettext_version}
%find_lang %{name}%{gettext_version}-std-plug-ins
%find_lang %{name}%{gettext_version}-script-fu
%find_lang %{name}%{gettext_version}-lib%{name}
%find_lang %{name}%{gettext_version}-python

cat								\
	%{name}%{gettext_version}.lang				\
	%{name}%{gettext_version}-std-plug-ins.lang		\
	%{name}%{gettext_version}-script-fu.lang		\
	%{name}%{gettext_version}-libgimp.lang			\
	%{name}%{gettext_version}-python.lang			\
	> %{name}.files


#-----------------------------------------------------------------------------
%changelog
